pcl::face_detection::TrainingExample Class Reference

`#include <pcl/recognition/face_detection/face_common.h>`

## Public Attributes

std::vector< boost::shared_ptr< pcl::IntegralImage2D< float, 1 > > > | iimages_
int | row_
int | col_
int | wsize_
int | label_
Eigen::Vector3f | trans_
Eigen::Vector3f | rot_

## Detailed Description

Definition at line 10 of file face_common.h.

## Member Data Documentation

## col_

int pcl::face_detection::TrainingExample::col_

Definition at line 14 of file face_common.h.

Referenced by pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::evaluateFeature().

## iimages_

std::vector<boost::shared_ptr<pcl::IntegralImage2D<float, 1> > > pcl::face_detection::TrainingExample::iimages_

Definition at line 13 of file face_common.h.

Referenced by pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::evaluateFeature().

## label_

int pcl::face_detection::TrainingExample::label_

Definition at line 16 of file face_common.h.

## rot_

Eigen::Vector3f pcl::face_detection::TrainingExample::rot_

Definition at line 20 of file face_common.h.

Referenced by pcl::face_detection::PoseClassRegressionVarianceStatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeMeanAndCovarianceAngles().

## row_

int pcl::face_detection::TrainingExample::row_

Definition at line 14 of file face_common.h.

Referenced by pcl::face_detection::FeatureHandlerDepthAverage< FT, DataSet, ExampleIndex >::evaluateFeature().

## trans_

Eigen::Vector3f pcl::face_detection::TrainingExample::trans_

Definition at line 19 of file face_common.h.

Referenced by pcl::face_detection::PoseClassRegressionVarianceStatsEstimator< LabelDataType, NodeType, DataSet, ExampleIndex >::computeMeanAndCovarianceOffset().

## wsize_

int pcl::face_detection::TrainingExample::wsize_

Definition at line 15 of file face_common.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/face_detection/face_common.h